// Lesson18Dlg.h : header file
//

#if !defined(AFX_LESSON18DLG_H__2BA5F035_8349_4438_9B5E_C749F3B60795__INCLUDED_)
#define AFX_LESSON18DLG_H__2BA5F035_8349_4438_9B5E_C749F3B60795__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


#include "Chart.h"
#if defined(_UNICODE) || defined(UNICODE)
#	pragma comment(lib,"CChartu.lib")
#else
#	pragma comment(lib,"CChart.lib")
#endif
using namespace NsCChart;


/////////////////////////////////////////////////////////////////////////////
// CLesson18Dlg dialog

class CLesson18Dlg : public CDialog
{
// Construction
public:
	CLesson18Dlg(CWnd* pParent = NULL);	// standard constructor

	CChartWnd m_ChartWnd;

// Dialog Data
	//{{AFX_DATA(CLesson18Dlg)
	enum { IDD = IDD_LESSON18_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CLesson18Dlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CLesson18Dlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LESSON18DLG_H__2BA5F035_8349_4438_9B5E_C749F3B60795__INCLUDED_)
